Bug 57964 - swap partition over raid fails in kickstart installation
swap partition over raid fails in kickstart installation
Status: CLOSED DUPLICATE of bug 55310
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-03 12:25 EST by CiRO
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-14 14:09:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda trace for this bug (51.16 KB, text/plain)
2002-03-14 14:07 EST, Todd
no flags Details

  None (edit)
Description CiRO 2002-01-03 12:25:24 EST
Description of Problem:
Defining a swap partition over a raid 1 device fails and 
anaconda dumps an exception in /usr/lib/anaconda/partitioning.py line 595 in 
sanityCheckAllRequests:
swapSize = swapSize + 
requestSize(request,diskset)
TypeError: number coercion failed

 This is how I 
define a swap over raid. This works in rh 7.1.
-----------8<--------------------------
part raid.31 --size 1000 --ondisk hda
part 
raid.32 --size 1000 --ondisk hdc
raid swap --level 1 --device md7 raid.31 raid.32
-----------8<--------------------------

Version-
Release number of selected component (if applicable):


How Reproducible:


Steps 
to Reproduce:
1.create a kickstart file with swap over a raid device
2.boot and run 
kickstart installation 

Actual Results:
After lang, keyboard and mouse selection 
(in interactive mode) anaconda hungs with the exception mentioned in 
description.

Expected Results:
That the swap over raid device autopartition works, 
as it did in 7.1

Additional Information:
If you remove the swap over raid definition 
line from the kickstart installation and add a simple swap partition, everything works 
fine.

My partition definitions:
-----------8<--------------------------
part raid.01 --size 100 --ondisk hda
part raid.02 --
size 100 --ondisk hdc
part raid.11 --size 4000 --ondisk hda
part raid.12 --size 4000 --ondisk 
hdc
part raid.21 --size 2000 --ondisk hda
part raid.22 --size 2000 --ondisk hdc
part raid.31 --
size 1000 --ondisk hda
part raid.32 --size 1000 --ondisk hdc
part raid.41 --size 1 --grow --ondisk 
hda
part raid.42 --size 1 --grow --ondisk hdc
raid /boot --level 1 --device md0 raid.01 
raid.02
raid / --level 1 --device md5 raid.11 raid.12
raid /var --level 1 --device md6 raid.21 
raid.22
raid swap --level 1 --device md7 raid.31 raid.32
raid /data --level 1 --device md8 
raid.41 raid.42
-----------8<--------------------------
Comment 1 Brent Fox 2002-01-20 10:42:01 EST
Can you please attach the traceback and the kickstart file that caused the crash?
Comment 2 Brent Fox 2002-01-31 12:45:51 EST
Closing due to inactivity.  Please reopen if you have more information.
Comment 3 Todd 2002-03-14 10:24:13 EST
I have experienced the same problem. So has the person who posted: 
http://www.redhat.com/mailing-lists/kickstart-list/msg01528.html

This bug should be reopened. I will try to post a traceback in the next day.
Comment 4 Brent Fox 2002-03-14 10:27:57 EST
Ok, reopening.
Comment 5 Todd 2002-03-14 14:05:55 EST
I have the trace now. I'll attach it as it is quite long.
Comment 6 Todd 2002-03-14 14:07:29 EST
Created attachment 48505 [details]
Anaconda trace for this bug
Comment 7 Todd 2002-03-14 14:09:28 EST
And here is the partition infro from ks.cfg:

# Kickstart file automatically generated by anaconda.

install
lang en_US
langsupport --default en_US en_US
keyboard us
mouse genericps/2 --device psaux --emulthree
xconfig --card "ATI Mach64" --videoram 8192 --hsync 31.5-64.3 --vsync 50-70 --
resolution 800x600 --depth 16
network --device eth0 --bootproto dhcp
rootpw --iscrypted $1$bM0sAaxF$uUShGni5SBG.1OO5cbJ.Q0
firewall --disabled
authconfig --enableshadow --enablemd5
timezone America/Detroit
bootloader --useLilo
# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work
clearpart --all
part raid.33 --size=40 --ondisk=hda
part raid.34 --size=40 --ondisk=hdb
part raid.45 --size=3000 --ondisk=hdb
part raid.48 --size=3000 --ondisk=hda
part raid.51 --size=3000 --ondisk=hdb
part raid.42 --size=3000 --ondisk=hda
part raid.36 --size=512 --ondisk=hda
part raid.40 --size=512 --ondisk=hdb
part raid.39 --size=512 --ondisk=hda
part raid.37 --size=512 --ondisk=hdb
part raid.60 --size=1 --grow --ondisk=hda
part raid.63 --size=1 --grow --ondisk=hdb
raid /var --fstype ext3 --level=RAID1 raid.48 raid.45
raid / --fstype ext3 --level=RAID1 raid.42 raid.51
raid /tmp --fstype ext3 --level=RAID0 raid.36 raid.37
raid swap --fstype swap --level=RAID1 raid.39 raid.40
raid /boot --fstype ext3 --level=RAID1 raid.33 raid.34
raid /home --fstype ext3 --level=RAID1 raid.60 raid.63

Comment 8 Jeremy Katz 2002-03-14 18:10:52 EST
Fixed in update disk released in mid-January

*** This bug has been marked as a duplicate of 55310 ***

Note You need to log in before you can comment on or make changes to this bug.